Contents

GET /monitoring/early-aggregation#

Get a list of early aggregations. @since protocol v2.

The following query parameters are optional, and can be used to customise the response:

Request:

Query Parameters:
  • limit – A signed integer, indicating how many elements relative to the offset query parameter should be returned. The default value is -20.

  • offset – An unsigned integer, indicating from which row onward to return elements. The default value is INT_MAX.

  • return_suppressed – A boolean. If true, returns all eligible rows, otherwise only returns eligible rows that are not suppressed. The default value is false.

With the default settings, the endpoint returns at most the 20 latest elements that are not suppressed.

Response:

200 OK:

The auditor responds with a top level array of GetEarlyAggregationResponse objects.

400 Bad request:

The request is malformed. Returned with an TALER_EC_GENERIC_PARAMETER_MALFORMED error code.

401 Unauthorized:

The request lacks valid authentication credentials. The response comes with a TALER_EC_AUDITOR_GENERIC_UNAUTHORIZED.

500 Internal Server Error:

The server experienced an internal error. The response comes with a TALER_EC_GENERIC_DB_SETUP_FAILED or TALER_EC_GENERIC_DB_FETCH_FAILED error code.

Details:

interface GetEarlyAggregationResponse {

  // Array of aggregations lacking a justification.
  early_aggregations: EarlyAggregationEntry[];

}
interface EarlyAggregationEntry {

  // Unique row identifier in the auditor table
  row_id : Integer;

  // Row identifier in the exchange's batch deposit table
  batch_deposit_serial_id : Integer;

  // Row identifier in the exchange's tracking table
  tracking_serial_id : Integer;

  // Amount that was aggregated early.
  balance : Amount;

  // True if this diagnostic was suppressed.
  suppressed : boolean;

}

Note

This endpoint is still experimental. The endpoint will be further developed as needed.